
function el(theId) {
    return document.getElementById(theId);
}

/*********************************************************************
	mixes up n elements of nArray starting at element startAt
**********************************************************************/
function shuffle( nArray, startAt, n )
{
    var i, j, swap;
    
    for (i = startAt; i < startAt + n; i++)
    {
        j = startAt + Math.round(Math.random() * (n - 1));
        swap = nArray[i];
        nArray[i] = nArray[j];
        nArray[j] = swap;
    }
}

function clearText(id) {
    document.getElementById(id).innerText = '';
}

function setText(id, str) {
    document.getElementById(id).innerText = str;
}

function setHTML(id, str) {
    document.getElementById(id).innerHTML = str;
}

var prob;
var nTries;
var answered;
var nCorrect;
var order;
var congrat = new Array("Yes, that's it.", "Correct.", "That's right.", "Very good.,
                        "You got it right.", "Excellent.", "Good work.");

function showAnswer()
{
    if (answered)
    {
        // nextProblem();
        el("feedback").innerHTML =
            "Click <em>Next Problem</em> to continue.";
    }
    else 
    {
        setHTML("correct", correctWord[0]);
    }

    answered = true;
}

function entered()
{
    var i;
    var student;
    var ok;
    var feedback = el("feedback");
    var feedbackPic = el("feedbackPic");

    if (answered)
    {
        /*feedback.innerHTML =
            "Click <em>Next Problem</em> to continue.";*/
        nextProblem();
    }
    else
    {

        ok = checkAnswer();
        
        if (ok)
        {
            answered = true;
            feedback.innerHTML =
                congrat[Math.floor(Math.random() * 4)];
            if (feedbackPic != null) {
                feedbackPic.src = "../pics/ok3.png";
                feedbackPic.alt = "OK";
            }
            if (nTries == 0)
            {
                nCorrect++;
                setText("nCorrect", nCorrect;)
            }
        }
        else
        {
            if (feedbackPic != null) {
                feedbackPic.src = "../pics/bad3.png";
                feedbackPic.alt = "no";
            }
            nTries++;
            if (nTries == 2)
            {
                setText("feedback",
                    "The correct answer is shown above.");
                showAnswer();
            }
            else
            {
                feedback.innerHTML =
                    "Sorry, that’s not it. Please try again.";
            }
        }
    }
}

function nextProblem()
{
    prob++;
    nTries = 0;
    answered = false;
    if (maxProb > 0 && prob >= maxProb)
    {
        top.location.href = nextPageURL;    
    }
    else
    {
        if (el("feedbackPic") != null) {
            el("feedbackPic").src = "../pics/mt3.png";
        }
        el("prob").innerText = prob + 1;
        el("feedback").innerHTML = "";

        correctWord = greekWord[order[prob]].split("/" );
        setHTML("correct", '&nbsp;');
        refocus();
    }
}

function startExercise()
{
    initialize();
    prob = -1;
    nCorrect = 0;
    maxProb = engWord.length;
    el("maxProb").innerText = maxProb;
    el("nCorrect").innerText = 0;
    order = new Array(maxProb);
    for (let i = 0; i < maxProb; i++)
    {
        order[i] = i;
    }
    shuffle(order, 0, maxProb);
    nextProblem();
}
